## tslib 1.19

=== CMakeLists.txt ===
#
#  tslib/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

cmake_minimum_required(VERSION 3.1)

cmake_policy(SET CMP0057 NEW)

project(tslib LANGUAGES C)

option(BUILD_SHARED_LIBS "ON:  tslib is build as shared; 
			  OFF: tslib is build as static" ON)
set(LIBTS_VERSION_CURRENT 10)
set(LIBTS_VERSION_REVISION 1)
set(LIBTS_VERSION_AGE 10)

set(PACKAGE_VERSION 1.19)
set(tslib_extras_dir ${CMAKE_INSTALL_PREFIX}/etc)
set(TS_POINTERCAL ${tslib_extras_dir}/pointercal)
set(TS_CONF ${tslib_extras_dir}/ts.conf)

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(tests)
add_subdirectory(tools)
add_subdirectory(etc)
add_subdirectory(doc)

#create Config files to help other lbiraries to find the package
include(CMakePackageConfigHelpers)
set(config_package_location cmake)

write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  VERSION ${PACKAGE_VERSION}
  COMPATIBILITY AnyNewerVersion
)
configure_package_config_file(cmake/tslibConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  INSTALL_DESTINATION lib/cmake/tslib)

install(EXPORT tslibTargets
  FILE tslibTargets.cmake
  NAMESPACE tslib::
  DESTINATION lib/cmake/tslib)

install(FILES 
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  DESTINATION lib/cmake/tslib)

=== etc/CMakeLists.txt ===
#
#  tslib/etc/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

set(tslib_extras ts.conf)

install(FILES ${tslib_extras} DESTINATION ${tslib_extras_dir})

=== plugins/CMakeLists.txt ===
#
#  tslib/plugins/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#


macro(TSLIB_CHECK_MODULE module_name default_option help_string)
	option(enable-${module_name} ${help_string} ${default_option})
	option(static-${module_name} OFF)

	set(module_sources ${ARGN})

	if (${enable-${module_name}} OR ${static-${module_name}})
		if (${static-${module_name}})
			string(TOUPPER ${module_name} module_name_uc)
			string(REPLACE "-" "_" module_name_uc_ul ${module_name_uc})
			target_sources(tslib PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/${module_sources})
			target_compile_definitions(tslib PRIVATE TSLIB_STATIC_${module_name_uc_ul}_MODULE)
		else()
			add_library(${module_name} MODULE ${module_sources})
			list(APPEND plugin_targets ${module_name})
			target_link_libraries(${module_name} PUBLIC tslib)
			SET_TARGET_PROPERTIES(${module_name} PROPERTIES PREFIX "")
		endif()
	endif()

endmacro()

### filters
#########################

TSLIB_CHECK_MODULE(debounce ON "Enable building filter" debounce.c) 
TSLIB_CHECK_MODULE(dejitter ON "Enable building dejitter filter" dejitter.c) 
TSLIB_CHECK_MODULE(iir      ON "Enable building iir filter" iir.c) 
TSLIB_CHECK_MODULE(invert   ON "Enable building invert filter" invert.c) 
TSLIB_CHECK_MODULE(linear   ON "Enable building linear filter" linear.c) 
TSLIB_CHECK_MODULE(lowpass  ON "Enable building lowpass filter" lowpass.c) 
TSLIB_CHECK_MODULE(median   ON "Enable building median filter" median.c) 
TSLIB_CHECK_MODULE(pthres   ON "Enable building pthres filter" pthres.c) 
TSLIB_CHECK_MODULE(skip     ON "Enable building skip filter" skip.c) 
TSLIB_CHECK_MODULE(variance ON "Enable building variance filter" variance.c) 

# hardware access modules  
#########################

# generic, recommended
TSLIB_CHECK_MODULE(input             ON "Enable building of generic input raw module (Linux /dev/input/eventN support)" input-raw.c) 

# userspace device drivers, enabled by default (may become disabled by default in the future)
TSLIB_CHECK_MODULE(touchkit          ON "Enable building of serial TouchKit raw module (Linux /dev/ttySX support)" touchkit-raw.c) 
TSLIB_CHECK_MODULE(waveshare         ON "Enable building of WaveShare raw module (Linux /dev/hidrawN support)" waveshare-raw.c) 

# userspace device drivers, disabled by default
TSLIB_CHECK_MODULE(input-evdev       OFF "Enable building of generic evdev input module (Linux /dev/input/eventN support)" input-evdev-raw.c) 
TSLIB_CHECK_MODULE(tatung            OFF "Enable building of tatung raw module (Tatung Webpad support)" tatung-raw.c) 
TSLIB_CHECK_MODULE(ucb1x00           OFF "Enable building of ucb1x00 raw module (UCB1x00 support)" ucb1x00-raw.c) 
TSLIB_CHECK_MODULE(mk712             OFF "Enable building of mk712 raw module (Hi tachi support)" mk712-raw.c) 
TSLIB_CHECK_MODULE(h3600             OFF "Enable building of h3600 raw module (HP iPaq H3600 support)" h3600-raw.c) 
TSLIB_CHECK_MODULE(dmc               OFF "Enable building of dmc raw module (HP iPaq DMC support)" dmc-raw.c) 
TSLIB_CHECK_MODULE(linear-h2200      OFF "Enable building of linearizing filter for iPAQ h2200" linear-h2200.c)
TSLIB_CHECK_MODULE(corgi             OFF "Enable building of corgi raw module (Sharp Zaurus sl-c7x0 support)" corgi-raw.c) 
TSLIB_CHECK_MODULE(collie            OFF "Enable building of collie raw module (Sharp Zaurus sl-5500/5000d support)" collie-raw.c) 
TSLIB_CHECK_MODULE(arctic2           OFF "Enable building of arctic2 raw module (IBM Arctic II support)" arctic2-raw.c) 
TSLIB_CHECK_MODULE(dmc_dus3000       OFF "Enable building of dmc_dus3000 raw module (DMC DUS Series support)" dmc_dus3000-raw.c) 
TSLIB_CHECK_MODULE(cy8mrln-palmpre   OFF "Enable building of cy8mrln-palmpre raw module" cy8mrln-palmpre.c)
TSLIB_CHECK_MODULE(galax             OFF "Enable building of HID USB eGalax raw module (Linux /dev/hiddevN support)" galax-raw.c) 
TSLIB_CHECK_MODULE(one-wire-ts-input OFF "Enable building of FriendlyARM one-wire raw module" one-wire-ts-input-raw.c)

if (${enable-input-evdev})
	find_package(PkgConfig)
	pkg_check_modules(LIBEVDEV REQUIRED IMPORTED_TARGET libevdev>=0.4)
	target_link_libraries(input-evdev PRIVATE PkgConfig::LIBEVDEV)
endif()

#install plugins and add to export set
install(TARGETS ${plugin_targets} 
	OPTIONAL
	LIBRARY DESTINATION lib/ts)

=== debian/changelog ===
tslib (1.19-1) unstable; urgency=low

  * Update to tslib version 1.19
  * remove patches that are included upstream

 -- Martin Kepplinger <martink@posteo.de>  Thu, 24 Jan 2019 09:07:55 +0100

## tslib 1.20

=== CMakeLists.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 option(BUILD_SHARED_LIBS "ON:  tslib is build as shared; 
 			  OFF: tslib is build as static" ON)
 set(LIBTS_VERSION_CURRENT 10)
-set(LIBTS_VERSION_REVISION 1)
+set(LIBTS_VERSION_REVISION 2)
 set(LIBTS_VERSION_AGE 10)
 
-set(PACKAGE_VERSION 1.19)
+set(PACKAGE_VERSION 1.20)
 set(tslib_extras_dir ${CMAKE_INSTALL_PREFIX}/etc)
 set(TS_POINTERCAL ${tslib_extras_dir}/pointercal)
 set(TS_CONF ${tslib_extras_dir}/ts.conf)

=== doc/CMakeLists.txt ===
#
#  tslib/doc/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

set(tslib_general_man   ts_test.1 
	          	ts_test_mt.1 
	          	ts_calibrate.1 
	          	ts_uinput.1 
	      	  	ts_print.1 
	      	  	ts_print_raw.1 
	      	  	ts_print_mt.1 
	      	  	ts_finddev.1 
			ts_harvest.1
	      		ts_verify.1)


set(tslib_library_man   ts_read.3
			ts_read_mt.3 
			ts_read_raw.3 
			ts_read_raw_mt.3 
			ts_open.3 
			ts_close.3 
			ts_config.3
		       	ts_setup.3 
			ts_libversion.3 
			ts_fd.3 
			ts_error_fn.3 
			ts_open_restricted.3 
			ts_close_restricted.3 
			ts_get_eventpath.3)

set(tslib_misc_man      ts.conf.5)

install(FILES ${tslib_general_man} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man1)
install(FILES ${tslib_library_man} DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man3)
install(FILES ${tslib_misc_man}    DESTINATION ${CMAKE_INSTALL_PREFIX}/share/man/man5)

=== debian/changelog ===
tslib (1.20-1) unstable; urgency=low

  * Update to tslib version 1.20
  * Add newly included manpages

 -- Martin Kepplinger <martink@posteo.de>  Tue, 21 May 2019 09:06:23 +0100

## tslib 1.21

=== CMakeLists.txt ===
#
#  tslib/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

cmake_minimum_required(VERSION 3.3)

project(tslib LANGUAGES C)

include(GNUInstallDirs)

option(BUILD_SHARED_LIBS "ON:  tslib is build as shared; 
			  OFF: tslib is build as static" ON)
option(ENABLE_TOOLS "build additional tools" ON)

set(LIBTS_VERSION_CURRENT 10)
set(LIBTS_VERSION_REVISION 3)
set(LIBTS_VERSION_AGE 10)

set(PACKAGE_VERSION 1.21)
set(TS_POINTERCAL ${CMAKE_INSTALL_FULL_SYSCONFDIR}/pointercal)
set(TS_CONF ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ts.conf)

add_subdirectory(src)
add_subdirectory(plugins)
add_subdirectory(tests)
if (ENABLE_TOOLS)
	add_subdirectory(tools)
endif ()
add_subdirectory(etc)
add_subdirectory(doc)

#create Config files to help other lbiraries to find the package
include(CMakePackageConfigHelpers)
set(config_package_location cmake)

write_basic_package_version_file(
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  VERSION ${PACKAGE_VERSION}
  COMPATIBILITY AnyNewerVersion
)
configure_package_config_file(cmake/tslibConfig.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tslib)

install(EXPORT tslibTargets
  FILE tslibTargets.cmake
  NAMESPACE tslib::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tslib)

install(FILES 
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfig.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/tslibConfigVersion.cmake
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/tslib)

# this is done in a function to have a local scope for the additional variables
function(pkgc_setup_file)
  set(prefix "${CMAKE_INSTALL_PREFIX}")
  set(exec_prefix "${CMAKE_INSTALL_PREFIX}")
  set(libdir "${CMAKE_INSTALL_FULL_LIBDIR}")
  set(includedir "${CMAKE_INSTALL_FULL_INCLUDEDIR}")
  set(PACKAGE tslib)
  set(PACKAGE_DESCRIPTION "Touchscreen Access Library")
  configure_file("${CMAKE_CURRENT_SOURCE_DIR}/tslib.pc.in"
                 "${CMAKE_CURRENT_BINARY_DIR}/tslib.pc"
                 @ONLY)
endfunction()

pkgc_setup_file()
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/tslib.pc"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 TSLIB_CHECK_MODULE(debounce ON "Enable building filter" debounce.c) 
 TSLIB_CHECK_MODULE(dejitter ON "Enable building dejitter filter" dejitter.c) 
 TSLIB_CHECK_MODULE(iir      ON "Enable building iir filter" iir.c) 
+TSLIB_CHECK_MODULE(evthres  ON "Enable building evthres filter" evthres.c) 
 TSLIB_CHECK_MODULE(invert   ON "Enable building invert filter" invert.c) 
 TSLIB_CHECK_MODULE(linear   ON "Enable building linear filter" linear.c) 
 TSLIB_CHECK_MODULE(lowpass  ON "Enable building lowpass filter" lowpass.c) 
@@ -80,5 +81,5 @@
 #install plugins and add to export set
 install(TARGETS ${plugin_targets} 
 	OPTIONAL
-	LIBRARY DESTINATION lib/ts)
+	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ts)

=== debian/changelog ===
tslib (1.21-1) unstable; urgency=low

  * Update to tslib version 1.21
  * Add newly included filter evthres

 -- Martin Kepplinger <martink@posteo.de>  Tue, 22 Oct 2019 10:44:19 +0100

## tslib 1.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,10 @@
 option(ENABLE_TOOLS "build additional tools" ON)
 
 set(LIBTS_VERSION_CURRENT 10)
-set(LIBTS_VERSION_REVISION 3)
+set(LIBTS_VERSION_REVISION 4)
 set(LIBTS_VERSION_AGE 10)
 
-set(PACKAGE_VERSION 1.21)
+set(PACKAGE_VERSION 1.22)
 set(TS_POINTERCAL ${CMAKE_INSTALL_FULL_SYSCONFDIR}/pointercal)
 set(TS_CONF ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ts.conf)

=== doc/CMakeLists.txt ===
#
#  tslib/doc/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

set(tslib_general_man
			ts_conf.1
			ts_test.1
			ts_test_mt.1
			ts_calibrate.1
			ts_uinput.1
			ts_print.1
			ts_print_raw.1
			ts_print_mt.1
			ts_finddev.1
			ts_harvest.1
			ts_verify.1
)

set(tslib_library_man
			ts_read.3
			ts_read_mt.3 
			ts_read_raw.3 
			ts_read_raw_mt.3 
			ts_open.3 
			ts_conf_get.3
			ts_conf_set.3
			tslib_version.3
			ts_close.3 
			ts_config.3
			ts_setup.3
			ts_libversion.3 
			ts_fd.3 
			ts_error_fn.3 
			ts_open_restricted.3 
			ts_close_restricted.3 
			ts_get_eventpath.3
			ts_print_ascii_logo.3
)

set(tslib_misc_man      ts.conf.5)

install(FILES ${tslib_general_man} DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
install(FILES ${tslib_library_man} DESTINATION ${CMAKE_INSTALL_MANDIR}/man3)
install(FILES ${tslib_misc_man}    DESTINATION ${CMAKE_INSTALL_MANDIR}/man5)

=== etc/CMakeLists.txt ===
--- 
+++ 
@@ -10,4 +10,4 @@
 
 set(tslib_extras ts.conf)
 
-install(FILES ${tslib_extras} DESTINATION ${tslib_extras_dir})
+install(FILES ${tslib_extras} DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR})

=== tests/CMakeLists.txt ===
#
#  tslib/tests/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#


option(with-sdl "build graphical tools like ts_calibrate using SDL" OFF)

if (${with-sdl})
	find_package(SDL2 REQUIRED)
endif()

function(TSLIB_ADD_TEST_ON_PLATFORMS test_name)
	foreach(condition IN LISTS ARGN)
		if (${condition})
			add_executable(${test_name} ${${test_name}_SOURCES})
			target_link_libraries(${test_name} PUBLIC tslib)
			if (${with-sdl})
				target_link_libraries(${test_name} PUBLIC SDL2)
			endif()
			set(tslib_tests ${tslib_tests} ${test_name} PARENT_SCOPE)
			break()
		endif()
	endforeach()
endfunction(TSLIB_ADD_TEST_ON_PLATFORMS)


set(fbutils $<$<PLATFORM_ID:FreeBSD>:fbutils-bsd.c>
	    $<$<PLATFORM_ID:Linux>:fbutils-linux.c>)


if(${with-sdl})
	set(ts_test_mt_SOURCES ts_test_mt_sdl.c sdlutils.c)
	set(ts_calibrate_SOURCES ts_calibrate_sdl.c ts_calibrate_common.c sdlutils.c)
else()
	set(ts_test_mt_SOURCES ts_test_mt.c testutils.c font_8x8.c font_8x16.c ${fbutils})
	set(ts_calibrate_SOURCES ts_calibrate.c ts_calibrate_common.c testutils.c font_8x8.c font_8x16.c ${fbutils})
endif()

set(ts_conf_SOURCES ts_conf.c)
set(ts_test_SOURCES ts_test.c testutils.c font_8x8.c font_8x16.c ${fbutils})
set(ts_print_SOURCES  ts_print.c)
set(ts_print_mt_SOURCES ts_print_mt.c)
set(ts_verify_SOURCES ts_verify.c)
set(ts_print_raw_SOURCES ts_print_raw.c)
set(ts_finddev_SOURCES ts_finddev.c)
set(ts_harvest_SOURCES ts_harvest.c testutils.c font_8x8.c font_8x16.c ${fbutils})


## ADD TESTS
########################
if (WIN32 AND ${with-sdl})
	set(WIN32_WITH_SDL TRUE)
endif()

if (UNIX AND NOT ${with-sdl})
	set(UNIX_WITHOUT_SDL TRUE)
endif()

if(CMAKE_SYSTEM_NAME STREQUAL Linux)
	set(LINUX TRUE)
endif()

TSLIB_ADD_TEST_ON_PLATFORMS(ts_conf      UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_print     UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_print_raw UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_print_mt  UNIX WIN32)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_harvest   UNIX)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_finddev   UNIX)
TSLIB_ADD_TEST_ON_PLATFORMS(ts_test_mt   UNIX ${WIN32_WITH_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_calibrate UNIX ${WIN32_WITH_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_test   	 ${UNIX_WITHOUT_SDL})
TSLIB_ADD_TEST_ON_PLATFORMS(ts_verify    ${LINUX})

install(TARGETS ${tslib_tests}
	RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== tools/CMakeLists.txt ===
#
#  tslib/tools/CMakeLists.txt
#
#  Copyright (C) 2018 Tuomo Rinne.
#
# This file is placed under the LGPL.  Please see the file
# COPYING for more details.
#
#

add_executable(ts_uinput ts_uinput.c)
target_link_libraries(ts_uinput tslib)
target_compile_definitions(ts_uinput PRIVATE TS_POINTERCAL="${TS_POINTERCAL}")

install(TARGETS ts_uinput
	RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}")

=== debian/changelog ===
tslib (1.22-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:29:09 +0000

tslib (1.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062995

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:49:38 +0000

tslib (1.22-1) unstable; urgency=low

  * Update to tslib version 1.22

 -- Martin Kepplinger <martink@posteo.de>  Wed, 01 Jul 2020 12:52:03 +0100

=== debian/control ===
Source: tslib
Section: embedded
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Kepplinger <martink@posteo.de>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), automake | automaken, autoconf, libtool, pkg-config
Standards-Version: 4.2.1
Homepage: http://tslib.org
Vcs-Git: https://github.com/merge/tslib-debian
Vcs-Browser: https://github.com/merge/tslib-debian

Package: libts0t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libts0 (<< ${source:Version}), tsconf
Replaces: libts0, tsconf
Multi-Arch: same
Description: touch screen library
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events. Examples of implemented
 filters include debounce, median, iir, dejitter and the calibration
 transform.

Package: libts-dev
Architecture: any
Section: libdevel
Depends: libts0t64 (=${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: touch screen library, development files
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains the static library and header files used in
 development.

Package: libts-bin
Architecture: any
Depends: libts0t64 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library utilities
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains programs like ts_calibrate or ts_uinput that can
 be useful when developing, testing or deploying applications using tslib.

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/libts/tslib/releases .*/tslib-(\d\.\d\d)\.tar\.(?:bz2|gz|xz)

## tslib 1.24

=== debian/changelog ===
tslib (1.24-1) unstable; urgency=low

  * Update to tslib version 1.24
  * debiann/rules: add empty dh_missing override
  * debian: remove compat file and move to control
  * debian/compat: update to v13

 -- Martin Kepplinger-Novakovic <martink@posteo.de>  Fri, 07 Nov 2025 13:44:44 +0100

tslib (1.23-1) unstable; urgency=low

  * Update to tslib version 1.23
  * define signing subkey for debuild
  * libts0t64 symbols: add new filter module
  * d/control: update pkg-config => pkgconf
  * .desktop: add X-AppStream-Ignore=true
  * d/control: update standards version to 4.6.2
  * update the upstream signing key

 -- Martin Kepplinger <martink@posteo.de>  Sun, 03 Mar 2024 13:51:43 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tslib
 Section: embedded
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Kepplinger <martink@posteo.de>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), automake | automaken, autoconf, libtool, pkg-config
-Standards-Version: 4.2.1
+Maintainer: Martin Kepplinger <martink@posteo.de>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), debhelper-compat (= 13), automake | automaken, autoconf, libtool, pkgconf
+Standards-Version: 4.7.2
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
CROSS= --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) ac_cv_func_malloc_0_nonnull=yes
else
CROSS= --build $(DEB_BUILD_GNU_TYPE)
endif

export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND = -O2 -Wall -W -fPIC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#DH_VERBOSE = 1
#export DH_OPTIONS=-v


ifeq ($(DEB_HOST_ARCH_OS), hurd)
	ARCH_CONF = --disable-input --disable-galax --disable-waveshare
endif

# when a recent FreeBSD (with evdev) is used, remove --disable-input here
ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
	ARCH_CONF = --disable-input --disable-galax --disable-waveshare
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --prefix=/usr \
		--disable-dependency-tracking \
		--with-plugindir=/usr/lib/$(DEB_HOST_MULTIARCH)/ts0 \
		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
		--sysconfdir=/etc $(CROSS) $(ARCH_CONF)

# Disable dh_missing
override_dh_missing:
